diff --git a/drivers/sensor/bmi160/bmi160.c b/drivers/sensor/bmi160/bmi160.c
index 8c84c29ce986c3..dcd509d45a3112 100644
--- a/drivers/sensor/bmi160/bmi160.c
+++ b/drivers/sensor/bmi160/bmi160.c
@@ -791,8 +791,7 @@ static inline void bmi160_gyr_channel_get(const struct device *dev,
 {
 	struct bmi160_data *data = to_data(dev);
 
-	bmi160_channel_convert(chan, data->scale.gyr,
-			       data->sample.gyr, val);
+	bmi160_channel_convert(chan, data->scale.gyr, data->sample.gyr, val);
 }
 #endif
 
@@ -803,8 +802,7 @@ static inline void bmi160_acc_channel_get(const struct device *dev,
 {
 	struct bmi160_data *data = to_data(dev);
 
-	bmi160_channel_convert(chan, data->scale.acc,
-			       data->sample.acc, val);
+	bmi160_channel_convert(chan, data->scale.acc, data->sample.acc, val);
 }
 #endif
 
diff --git a/drivers/sensor/bmi160/bmi160.h b/drivers/sensor/bmi160/bmi160.h
index e113d92dc52ef0..1c92fc85c58e8a 100644
--- a/drivers/sensor/bmi160/bmi160.h
+++ b/drivers/sensor/bmi160/bmi160.h
@@ -471,7 +471,7 @@ union bmi160_sample {
 #if !defined(CONFIG_BMI160_ACCEL_PMU_SUSPEND)
 		uint16_t acc[BMI160_AXES];
 #endif
-	} __packed;
+	};
 };
 
 struct bmi160_scale {
